/*
 * Clutter-GStreamer.
 *
 * GStreamer integration library for Clutter.
 *
 * Authored By Matthew Allum  <mallum@openedhand.com>
 *
 * Copyright (C) 2006 OpenedHand
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __CLUTTER_GST_VERSION_H__
#define __CLUTTER_GST_VERSION_H__

#define CLUTTER_GST_MAJOR_VERSION   0
#define CLUTTER_GST_MINOR_VERSION   4
#define CLUTTER_GST_MICRO_VERSION   0

#define CLUTTER_GST_VERSION         0.4.0
#define CLUTTER_GST_VERSION_S       "0.4.0"
#define CLUTTER_GST_VERSION_HEX     ((CLUTTER_GST_MAJOR_VERSION << 24) | \
                                     (CLUTTER_GST_MINOR_VERSION << 16) | \
                                     (CLUTTER_GST_MICRO_VERSION << 8))

#define CLUTTER_GST_CHECK_VERSION(major,minor,micro) \
        (CLUTTER_GST_MAJOR_VERSION > (major) || \
         (CLUTTER_GST_MAJOR_VERSION == (major) && CLUTTER_GST_MINOR_VERSION > (minor)) || \
         (CLUTTER_GST_MAJOR_VERSION == (major) && CLUTTER_GST_MINOR_VERSION == (minor) && CLUTTER_GST_MICRO_VERSION > (micro)))

#endif /* __CLUTTER_GST_VERSION_H__ */
